Bug 1023484 - [Admin Portal] Local DC - The Cluster is fully configured and ready for use.
[Admin Portal] Local DC - The Cluster is fully configured and ready for use.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.4.0
Assigned To: Daniel Erez
Tareq Alayan
storage
:
Depends On:
Blocks: rhev3.4beta 1142926
  Show dependency treegraph
 
Reported: 2013-10-25 10:11 EDT by Jiri Belka
Modified: 2016-02-10 15:11 EST (History)
10 users (show)

See Also:
Fixed In Version: ovirt-3.4.0-beta3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-12 10:05:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scrnshot (125.45 KB, image/png)
2014-02-18 10:43 EST, Tareq Alayan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 24074 None None None Never
oVirt gerrit 24227 None None None Never

  None (edit)
Description Jiri Belka 2013-10-25 10:11:53 EDT
Description of problem:
While creating local storage DC -> add cluster -> add host, there's popup after Guide Me dialog exits with:

The Cluster is fully configured and ready for use.

The message is either misleading or lie. It still does not have storage so the use for this cluster is zero.

Strange is that this message does not appear when having nfs cluster.

So I suppose it should work like to either automatically create storage on the host (it already knows the host and it already knows it is _only_ local storage) or it should show same 'Guide Me' dialog like in other (nfs here) cluster.

Version-Release number of selected component (if applicable):
is20

How reproducible:
100%

Steps to Reproduce:
1. create local storage DC
2. still in Guide me dialog add cluster
3. still in same guide me dialog add host

Actual results:
then misleading message appears

Expected results:
either the message should disappear (as it is misleading or lie) or the message should be visible _only_ after while adding local storage host the local storage on such host is prepared automatically for use.

Additional info:
Comment 1 Daniel Erez 2014-02-05 01:42:10 EST
Local Cluster/DC GuideMe dialog:
* Replaced 'Fully configured and ready for use' message
  with 'Configuration completed' - as in shared storage.
* Added a note that a local storage domain must be
  attached to the DC and activated.
Comment 2 Tareq Alayan 2014-02-18 10:43:03 EST
Created attachment 864616 [details]
scrnshot

failed qa

tested on ovirt-engine-3.4.0-0.7.beta2.el6.noarch
Comment 3 Daniel Erez 2014-02-18 12:28:45 EST
The fix has been merged post beta2 (Commit Ic2f3f59cdcf30721bbefc9bb84d97973faa36f99). It should be in av1 build as noted in 'Fixed In Version'.
Comment 4 Sandro Bonazzola 2014-02-19 07:27:06 EST
This bug is referenced in ovirt-engine-3.4.0-beta3 logs. Moving to ON_QA
Comment 5 Tareq Alayan 2014-02-25 06:20:17 EST
verified on ovirt-engine-3.4.0-0.11.beta3.el6.noarch


message: Note: to fully configure the Data-Center, at least one local Storage Domain should be attached and activated.
Comment 6 Itamar Heim 2014-06-12 10:05:36 EDT
Closing as part of 3.4.0

Note You need to log in before you can comment on or make changes to this bug.